#ifndef SOCKET_CLASS_H
#define SOCKET_CLASS_H
	
#include <sys/un.h>
#ifdef NEWS_OS   /* for using access(),close(),unlink() */
  #include <sys/file.h>
  extern "C" int access();
  extern "C" void unlink();
  extern "C" void close();
#else
  #include <unistd.h>
#endif

class Socket{
   int  fromlen;
   int  s,ns,len;
   struct sockaddr_un saun,fsaun;
   char address[256];
 public:
   Socket(char *);
   ~Socket();
   operator int(){ return ns;      }
   char *title() { return address; }
   int open();
   void close(){ if(ns) ::close(ns); ns=0; }
};


class ClientSocket{
   int i,s,len;
   struct sockaddr_un saun;
 public:
   ClientSocket(char *);
   ~ClientSocket(){ ::close(s); }
   operator int(){ return s; }
};
#endif
